## gnome-music 3.36.7

=== subprojects/gfm/meson_options.txt ===
option('pkglibdir', type: 'string', value: '',
  description: 'The private directory the shared library/typelib will be installed into.'
)
option('pkgdatadir', type: 'string', value: '',
  description: 'The private directory the gir file will be installed into.'
)

=== debian/changelog ===
gnome-music (3.36.7-1) unstable; urgency=medium

  * Team upload
  * Use upstream/3.36.x branch
  * d/watch: Watch for 3.36.x versions.
    3.38.x is not suitable for Debian 11 because it requires Tracker 3.
  * New upstream release (Closes: #971622)
  * Drop patch that was applied (with adjustments) upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 09:46:54 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-music
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               grilo-plugins-0.3 (>= 0.3.10),
               itstool,
               libdazzle-1.0-dev (>= 3.28.0),
               libgdk-pixbuf2.0-bin,
               libgirepository1.0-dev (>= 1.35.9),
               libglib2.0-dev (>= 2.35.9),
               libgoa-1.0-dev (>= 3.35.90),
               libgrilo-0.3-dev (>= 0.3.12),
               libgtk-3-dev (>= 3.24.7),
               libmediaart-2.0-dev (>= 1.9.1),
               librsvg2-common:native,
               libsoup2.4-dev,
               libtracker-sparql-2.0-dev (>= 2.3.0),
               meson (>= 0.46.0),
               pkg-config (>= 0.22),
               python-gi-dev (>= 3.29.1),
               python3,
               python3-cairo-dev (>= 1.14.0)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-music
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-music.git
Homepage: https://wiki.gnome.org/Apps/Music

Package: gnome-music
Architecture: any
Depends: gir1.2-dazzle-1.0 (>= 3.28.0),
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-goa-1.0 (>= 3.35.90),
         gir1.2-grilo-0.3 (>= 0.3.12),
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0 (>= 3.24.7),
         gir1.2-mediaart-2.0 (>= 1.9.1),
         gir1.2-soup-2.4,
         gir1.2-totemplparser-1.0,
         gir1.2-tracker-2.0,
         gnome-settings-daemon,
         grilo-plugins-0.3 (>= 0.3.10),
         python3,
         python3-gi (>= 3.29.1),
         python3-gi-cairo,
         python3-requests,
         tracker (>= 2.0),
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: gnome-online-accounts
Description: Music is the new GNOME music playing application
 Music is the new GNOME music playing application aiming at being
 a simple and elegant replacement for using Files to show the
 Music directory.
 Objectives includes listening to local and online/cloud collections,
 listen to music on attached devices, listen to music shared by friends,
 listen to audiobooks, a player for DLNA media servers, share music,
 upload music and select favorites.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_girepository:
	dh_girepository -ldebian/gnome-music/usr/share/org.gnome.Music/gir-1.0 \
	/usr/lib/$(DEB_HOST_MULTIARCH)/org.gnome.Music/ \
	/usr/lib/$(DEB_HOST_MULTIARCH)/org.gnome.Music/girepository-1.0/

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/org.gnome.Music/

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/3.36/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## gnome-music 40.1.1

=== debian/changelog ===
gnome-music (40.1.1-4) unstable; urgency=medium

  * Team upload
  * Depend on a compatible version of grilo-plugins now that it's available.
    We need the grl-tracker3 plugin, which is only available on this side
    of the Tracker 3 transition. (Closes: #993820)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Sep 2021 01:43:23 +0100

gnome-music (40.1.1-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 07:40:42 -0400

gnome-music (40.1.1-2) experimental; urgency=medium

  * control: Fix typo in python3 versioned dep. Don't suppose will have python
    3.37 for a while ...

 -- Iain Lane <laney@debian.org>  Fri, 16 Jul 2021 16:04:08 +0100

gnome-music (40.1.1-1) experimental; urgency=medium

  * New upstream release
  * control: Bump Depends and Build-Depends for 40.
    - grilo → 0.3.13+ and plugins → 0.3.13-2~+
      + This is the Debian revision that started building with tracker 3
    - add pango (BD and gir)
    - tracker 2 → tracker 3
    - pygobject → 3.36.1+
    - python → 3.7+
    - meson → 0.49.0+
  * gbp.conf: Set upstream branch back to upstream/latest

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Jun 2021 17:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,29 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
-               grilo-plugins-0.3 (>= 0.3.10),
+               grilo-plugins-0.3 (>= 0.3.13-3~),
                itstool,
                libdazzle-1.0-dev (>= 3.28.0),
                libgdk-pixbuf2.0-bin,
                libgirepository1.0-dev (>= 1.35.9),
                libglib2.0-dev (>= 2.35.9),
                libgoa-1.0-dev (>= 3.35.90),
-               libgrilo-0.3-dev (>= 0.3.12),
+               libgrilo-0.3-dev (>= 0.3.13),
                libgtk-3-dev (>= 3.24.7),
                libmediaart-2.0-dev (>= 1.9.1),
+               libpango1.0-dev (>= 1.44.0),
                librsvg2-common:native,
                libsoup2.4-dev,
-               libtracker-sparql-2.0-dev (>= 2.3.0),
-               meson (>= 0.46.0),
+               libtracker-sparql-3.0-dev (>= 2.99.3),
+               meson (>= 0.49.0),
                pkg-config (>= 0.22),
-               python-gi-dev (>= 3.29.1),
-               python3,
+               python-gi-dev (>= 3.36.1),
+               python3 (>= 3.7),
                python3-cairo-dev (>= 1.14.0)
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
@@ -40,21 +41,22 @@
 Depends: gir1.2-dazzle-1.0 (>= 3.28.0),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-goa-1.0 (>= 3.35.90),
-         gir1.2-grilo-0.3 (>= 0.3.12),
+         gir1.2-grilo-0.3 (>= 0.3.13),
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.24.7),
          gir1.2-mediaart-2.0 (>= 1.9.1),
+         gir1.2-pango-1.0 (>= 1.44.0),
          gir1.2-soup-2.4,
          gir1.2-totemplparser-1.0,
-         gir1.2-tracker-2.0,
+         gir1.2-tracker-3.0,
          gnome-settings-daemon,
-         grilo-plugins-0.3 (>= 0.3.10),
-         python3,
-         python3-gi (>= 3.29.1),
+         grilo-plugins-0.3 (>= 0.3.13-3~),
+         python3 (>= 3.7),
+         python3-gi (>= 3.36.1),
          python3-gi-cairo,
          python3-requests,
-         tracker (>= 2.0),
+         tracker (>= 3.0),
          ${gir:Depends},
          ${misc:Depends},
          ${python3:Depends},

## gnome-music 41.0

=== debian/changelog ===
gnome-music (41.0-4) unstable; urgency=medium

  * Cherry-pick patch to drop obsolete GNOME MediaKeys support
  * Cherry-pick patches to support GNOME 42 dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.90

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 12:54:10 -0500

gnome-music (41.0-2) unstable; urgency=medium

  * Team upload
  * d/p/meson-Remove-incorrect-i18n.merge_file-argument.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61 (Closes: #1005548)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 15:34:35 +0000

gnome-music (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib and gtk3
  * debian/control.in: Depend and Build-Depend on libhandy
  * debian/copyright: Update
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 08:14:10 -0400

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                libdazzle-1.0-dev (>= 3.28.0),
                libgdk-pixbuf2.0-bin,
                libgirepository1.0-dev (>= 1.35.9),
-               libglib2.0-dev (>= 2.35.9),
+               libglib2.0-dev (>= 2.67.1),
                libgoa-1.0-dev (>= 3.35.90),
                libgrilo-0.3-dev (>= 0.3.13),
-               libgtk-3-dev (>= 3.24.7),
+               libgtk-3-dev (>= 3.24.14),
+               libhandy-1-dev (>= 1.5.90),
                libmediaart-2.0-dev (>= 1.9.1),
                libpango1.0-dev (>= 1.44.0),
                librsvg2-common:native,
@@ -31,7 +32,7 @@
                python3 (>= 3.7),
                python3-cairo-dev (>= 1.14.0)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-music
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-music.git
 Homepage: https://wiki.gnome.org/Apps/Music
@@ -44,7 +45,8 @@
          gir1.2-grilo-0.3 (>= 0.3.13),
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
-         gir1.2-gtk-3.0 (>= 3.24.7),
+         gir1.2-gtk-3.0 (>= 3.24.14),
+         gir1.2-handy-1 (>= 1.5.90),
          gir1.2-mediaart-2.0 (>= 1.9.1),
          gir1.2-pango-1.0 (>= 1.44.0),
          gir1.2-soup-2.4,

## gnome-music 41.1

=== debian/changelog ===
gnome-music (41.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970214)
  * Drop meson patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Apr 2022 09:26:44 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-music
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 %:
 	dh $@

## gnome-music 42.1

=== debian/changelog ===
gnome-music (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Apr 2022 09:12:24 -0400

gnome-music (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to gtk4 & libadwaita
  * debian/control.in: Build-Depend on desktop-file-utils
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 13:53:14 -0400

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,22 @@
 Source: gnome-music
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
+               desktop-file-utils,
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
                grilo-plugins-0.3 (>= 0.3.13-3~),
                itstool,
-               libdazzle-1.0-dev (>= 3.28.0),
+               libadwaita-1-dev (>= 1.0),
                libgdk-pixbuf2.0-bin,
                libgirepository1.0-dev (>= 1.35.9),
                libglib2.0-dev (>= 2.67.1),
                libgoa-1.0-dev (>= 3.35.90),
                libgrilo-0.3-dev (>= 0.3.13),
-               libgtk-3-dev (>= 3.24.14),
-               libhandy-1-dev (>= 1.5.90),
+               libgtk-4-dev (>= 4.5.0),
                libmediaart-2.0-dev (>= 1.9.1),
                libpango1.0-dev (>= 1.44.0),
                librsvg2-common:native,
@@ -40,14 +39,13 @@
 
 Package: gnome-music
 Architecture: any
-Depends: gir1.2-dazzle-1.0 (>= 3.28.0),
+Depends: gir1.2-adw-1 (>= 1.0),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-goa-1.0 (>= 3.35.90),
          gir1.2-grilo-0.3 (>= 0.3.13),
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
-         gir1.2-gtk-3.0 (>= 3.24.14),
-         gir1.2-handy-1 (>= 1.5.90),
+         gir1.2-gtk-4.0 (>= 4.5.0),
          gir1.2-mediaart-2.0 (>= 1.9.1),
          gir1.2-pango-1.0 (>= 1.44.0),
          gir1.2-soup-2.4,

## gnome-music 44.0

=== debian/changelog ===
gnome-music (44.0-2) unstable; urgency=medium

  * Drop all patches
  * Update dependencies to switch to libsoup3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 16:06:07 -0400

gnome-music (44.0-1) experimental; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release

  [ Jeremy Bicha ]
  * Revert 2 commits that switch to libsoup3

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 23 Mar 2023 10:22:28 -0300

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,19 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
-               grilo-plugins-0.3 (>= 0.3.13-3~),
+               grilo-plugins-0.3 (>= 0.3.16-1ubuntu1~),
                itstool,
                libadwaita-1-dev (>= 1.0),
                libgdk-pixbuf2.0-bin,
                libgirepository1.0-dev (>= 1.35.9),
                libglib2.0-dev (>= 2.67.1),
                libgoa-1.0-dev (>= 3.35.90),
-               libgrilo-0.3-dev (>= 0.3.13),
+               libgrilo-0.3-dev (>= 0.3.15-1ubuntu1),
                libgtk-4-dev (>= 4.5.0),
                libmediaart-2.0-dev (>= 1.9.1),
                libpango1.0-dev (>= 1.44.0),
                librsvg2-common:native,
-               libsoup2.4-dev,
-               libtracker-sparql-3.0-dev (>= 2.99.3),
+               libtracker-sparql-3.0-dev (>= 3.3.3),
                meson (>= 0.49.0),
                pkg-config (>= 0.22),
                python-gi-dev (>= 3.36.1),
@@ -42,13 +41,13 @@
 Depends: gir1.2-adw-1 (>= 1.0),
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-goa-1.0 (>= 3.35.90),
-         gir1.2-grilo-0.3 (>= 0.3.13),
+         gir1.2-grilo-0.3 (>= 0.3.15-1ubuntu1~),
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-4.0 (>= 4.5.0),
          gir1.2-mediaart-2.0 (>= 1.9.1),
          gir1.2-pango-1.0 (>= 1.44.0),
-         gir1.2-soup-2.4,
+         gir1.2-soup-3.0,
          gir1.2-totemplparser-1.0,
          gir1.2-tracker-3.0,
          gnome-settings-daemon,

## gnome-music 45.0

=== debian/changelog ===
gnome-music (45.0-3) unstable; urgency=medium

  * Stop using dh-sequence-gnome
  * Update package description to stop mentioning features that don't exist
    (Closes: #1025468)
  * Add patch to hide Last.fm menu button since it no longer works

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jan 2024 12:18:33 -0500

gnome-music (45.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Explicitly depend on gir1.2-girepository-2.0.
    GIRepository is imported by the main script. At the moment it's part
    of gir1.2-glib-2.0, but it will need to be split into a separate
    package during the GNOME 46/GLib 2.79.x cycle.
    Making this dependency explicit will also help to keep track of which
    packages will need coordination when PyGI switches from GIRepository
    2.0 to GIRepository 3.0.
  * d/control: Explicitly depend on gir1.2-gdkpixbuf-2.0.
    This is imported explicitly. In practice it's pulled in by GTK,
    but it's more robust to list all of our direct dependencies, even
    if today they're also indirect dependencies.
  * d/control: Explicitly depend on gir1.2-gio-2.0, gir1.2-gobject-2.0.
    Just for completeness: these are likely to stay part of the same
    binary package as gir1.2-glib-2.0.

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 16:49:00 +0000

gnome-music (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on appstream-util for build tests
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:58:28 -0400

=== debian/control ===
Source: gnome-music
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils,
               dh-sequence-gir,
               dh-sequence-python3,
               grilo-plugins-0.3 (>= 0.3.16-1.1~),
               itstool,
               libadwaita-1-dev (>= 1.0),
               libgdk-pixbuf2.0-bin,
               libgirepository1.0-dev (>= 1.35.9),
               libglib2.0-dev (>= 2.67.1),
               libgoa-1.0-dev (>= 3.35.90),
               libgrilo-0.3-dev (>= 0.3.15-1.1~),
               libgtk-4-dev (>= 4.5.0),
               libmediaart-2.0-dev (>= 1.9.1),
               libpango1.0-dev (>= 1.44.0),
               librsvg2-common:native,
               libtracker-sparql-3.0-dev (>= 3.3.3),
               meson (>= 0.49.0),
               pkg-config (>= 0.22),
               python-gi-dev (>= 3.36.1),
               python3 (>= 3.7),
               python3-cairo-dev (>= 1.14.0)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-music
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-music.git
Homepage: https://wiki.gnome.org/Apps/Music

Package: gnome-music
Architecture: any
Depends: gir1.2-adw-1 (>= 1.0),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gio-2.0,
         gir1.2-girepository-2.0,
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-goa-1.0 (>= 3.35.90),
         gir1.2-gobject-2.0,
         gir1.2-grilo-0.3 (>= 0.3.15-1.1~),
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0 (>= 4.5.0),
         gir1.2-mediaart-2.0 (>= 1.9.1),
         gir1.2-pango-1.0 (>= 1.44.0),
         gir1.2-soup-3.0,
         gir1.2-totemplparser-1.0,
         gir1.2-tracker-3.0,
         gnome-settings-daemon,
         grilo-plugins-0.3 (>= 0.3.13-3~),
         python3 (>= 3.7),
         python3-gi (>= 3.36.1),
         python3-gi-cairo,
         python3-requests,
         tracker (>= 3.0),
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: gnome-online-accounts
Description: Music playing app for the GNOME Desktop
 Music is a music playing application that is a simple and elegant
 replacement for using Files to show the Music directory.

## gnome-music 46.0

=== debian/changelog ===
gnome-music (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:09:11 +0000

gnome-music (46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 18 Mar 2024 18:49:07 -0400

gnome-music (46~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Ported to Adwaita 1.4 and 1.6 widgets
    - Songs view removed
    - Preferences dialog added
    - Dropped old-style selection mode
    - Bugs Fixed:
      + Port to new libadwaita widgets
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/579)
      + Remove GOA use and LastFM support
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/584)
      + Fix Tracker 3 queries
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/578)
      + Fix jumping scrolling
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/580)
      + Replace StarImage with StarToggle
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/497)
      + Improve texture scaling
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/513)
      + Add preferences dialog
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/471)
      + Improve player duration query handling
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/449)
      + Remove Songs view
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/570)
      + Improve 'Recently Played' query
        (https://gitlab.gnome.org/GNOME/gnome-music/-/merge_requests/1047)
      + Improve appdata
        (https://gitlab.gnome.org/GNOME/gnome-music/-/merge_requests/1026)
  * debian/control: Bump minimum required versions of Build-Depends
    following upstream
  * debian/patches/Hide-Last.fm.patch: Drop no longer needed patch

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 29 Feb 2024 11:13:46 -0500

gnome-music (45.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Tracker queries improvements

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 22 Feb 2024 16:17:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-music
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
@@ -10,20 +11,20 @@
                dh-sequence-python3,
                grilo-plugins-0.3 (>= 0.3.16-1.1~),
                itstool,
-               libadwaita-1-dev (>= 1.0),
+               libadwaita-1-dev (>= 1.5~beta),
                libgdk-pixbuf2.0-bin,
                libgirepository1.0-dev (>= 1.35.9),
                libglib2.0-dev (>= 2.67.1),
                libgoa-1.0-dev (>= 3.35.90),
                libgrilo-0.3-dev (>= 0.3.15-1.1~),
-               libgtk-4-dev (>= 4.5.0),
+               libgtk-4-dev (>= 4.10.0),
                libmediaart-2.0-dev (>= 1.9.1),
                libpango1.0-dev (>= 1.44.0),
                librsvg2-common:native,
                libtracker-sparql-3.0-dev (>= 3.3.3),
-               meson (>= 0.49.0),
+               meson (>= 0.59.0),
                pkg-config (>= 0.22),
-               python-gi-dev (>= 3.36.1),
+               python-gi-dev (>= 3.47.0),
                python3 (>= 3.7),
                python3-cairo-dev (>= 1.14.0)
 Rules-Requires-Root: no

## gnome-music 47.0

=== debian/changelog ===
gnome-music (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 06:44:34 -0400

gnome-music (46.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump Standards Version to 4.7.0

  [ Amin Bandali ]
  * debian/control: Update Homepage to the new page on apps.gnome.org

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 13:44:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-music
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
@@ -23,15 +22,15 @@
                librsvg2-common:native,
                libtracker-sparql-3.0-dev (>= 3.3.3),
                meson (>= 0.59.0),
-               pkg-config (>= 0.22),
+               pkgconf,
                python-gi-dev (>= 3.47.0),
                python3 (>= 3.7),
                python3-cairo-dev (>= 1.14.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-music
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-music.git
-Homepage: https://wiki.gnome.org/Apps/Music
+Homepage: https://apps.gnome.org/Music/
 
 Package: gnome-music
 Architecture: any

## gnome-music 48~beta

=== subprojects/shared-modules/libappindicator/Makefile ===
all: libappindicator-gtk3-introspection-12.10.json libappindicator-gtk3-12.10.json libappindicator-gtk2-12.10.json

libappindicator-gtk3-introspection-12.10.json: libappindicator.json.in
	sed -e 's/@GTK_VER@/3/g' -e 's/@INTROSPECTION@/yes/g' $< > $@

libappindicator-gtk3-12.10.json: libappindicator.json.in
	sed -e 's/@GTK_VER@/3/g' -e 's/@INTROSPECTION@/no/g' $< > $@

libappindicator-gtk2-12.10.json: libappindicator.json.in
	sed -e 's/@GTK_VER@/2/g' -e 's/@INTROSPECTION@/no/g' $< > $@

=== debian/changelog ===
gnome-music (48~beta-2) unstable; urgency=medium

  * Depend on localsearch instead of tracker

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 15:15:24 -0400

gnome-music (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4, libadwaita, and pygobject

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:15:33 -0500

gnome-music (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 09:11:57 -0500

=== debian/control ===
Source: gnome-music
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-python3,
               appstream-util <!nocheck>,
               desktop-file-utils,
               grilo-plugins-0.3 (>= 0.3.16-1.1~),
               itstool,
               libadwaita-1-dev (>= 1.6),
               libgdk-pixbuf2.0-bin,
               libgirepository1.0-dev (>= 1.35.9),
               libglib2.0-dev (>= 2.67.1),
               libgoa-1.0-dev (>= 3.35.90),
               libgrilo-0.3-dev (>= 0.3.15-1.1~),
               libgtk-4-dev (>= 4.16.0),
               libmediaart-2.0-dev (>= 1.9.1),
               libpango1.0-dev (>= 1.44.0),
               librsvg2-common:native,
               libtracker-sparql-3.0-dev (>= 3.3.3),
               meson (>= 0.59.0),
               pkgconf,
               python-gi-dev (>= 3.50.0),
               python3 (>= 3.7),
               python3-cairo-dev (>= 1.14.0)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-music
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-music.git
Homepage: https://apps.gnome.org/Music/

Package: gnome-music
Architecture: any
Depends: gir1.2-adw-1 (>= 1.6),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gio-2.0,
         gir1.2-girepository-2.0,
         gir1.2-glib-2.0 (>= 1.35.9),
         gir1.2-goa-1.0 (>= 3.35.90),
         gir1.2-gobject-2.0,
         gir1.2-grilo-0.3 (>= 0.3.15-1.1~),
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0 (>= 4.16.0),
         gir1.2-mediaart-2.0 (>= 1.9.1),
         gir1.2-pango-1.0 (>= 1.44.0),
         gir1.2-soup-3.0,
         gir1.2-totemplparser-1.0,
         gir1.2-tracker-3.0,
         gnome-settings-daemon,
         grilo-plugins-0.3 (>= 0.3.13-3~),
         localsearch (>= 3.0),
         python3 (>= 3.7),
         python3-gi (>= 3.50.0),
         python3-gi-cairo,
         python3-requests,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: gnome-online-accounts
Description: Music playing app for the GNOME Desktop
 Music is a music playing application that is a simple and elegant
 replacement for using Files to show the Music directory.

## gnome-music 48.0

=== debian/changelog ===
gnome-music (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release
  * Replace Build-Depends: appstream-util with appstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 16:36:43 -0400

gnome-music (48~beta-3) unstable; urgency=medium

  * Add proposed patch to allow gnome-music to work with pygobject 3.52

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 17:07:40 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-python3,
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                desktop-file-utils,
                grilo-plugins-0.3 (>= 0.3.16-1.1~),
                itstool,

## gnome-music 49~rc

=== debian/changelog ===
gnome-music (49~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove old FSF address from debian/copyright

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 17:41:01 -0400

## gnome-music 49.0.2

=== debian/changelog ===
gnome-music (49.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: remove old FSF address

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 08:36:22 -0400

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                dh-sequence-python3,
                appstream <!nocheck>,
                desktop-file-utils,
+               gobject-introspection (>= 1.80),
                grilo-plugins-0.3 (>= 0.3.16-1.1~),
                itstool,
                libadwaita-1-dev (>= 1.6),
                libgdk-pixbuf2.0-bin,
-               libgirepository1.0-dev (>= 1.35.9),
                libglib2.0-dev (>= 2.67.1),
                libgoa-1.0-dev (>= 3.35.90),
                libgrilo-0.3-dev (>= 0.3.15-1.1~),
@@ -29,8 +29,7 @@
                python-gi-dev (>= 3.50.0),
                python3 (>= 3.7),
                python3-cairo-dev (>= 1.14.0)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-music
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-music.git
 Homepage: https://apps.gnome.org/Music/

## gnome-music 49.1

=== subprojects/shared-modules/cld2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project (cld2)
enable_language(CXX)

set (VERSION "0.0.197")
set (common_SOURCE_FILES
    internal/cldutil.cc
    internal/cldutil_shared.cc
    internal/compact_lang_det.cc
    internal/compact_lang_det_hint_code.cc
    internal/compact_lang_det_impl.cc
    internal/debug.cc
    internal/fixunicodevalue.cc 
    internal/generated_entities.cc
    internal/generated_language.cc
    internal/generated_ulscript.cc
    internal/getonescriptspan.cc
    internal/lang_script.cc
    internal/offsetmap.cc
    internal/scoreonescriptspan.cc
    internal/tote.cc
    internal/utf8statetable.cc
    )

set (cld2_SOURCE_FILES
    internal/generated_distinct_bi_0.cc
    internal/cld_generated_cjk_uni_prop_80.cc
    internal/cld2_generated_cjk_compatible.cc
    internal/cld_generated_cjk_delta_bi_4.cc
    internal/cld2_generated_quadchrome_2.cc
    internal/cld2_generated_deltaoctachrome.cc
    internal/cld2_generated_distinctoctachrome.cc
    internal/cld_generated_score_quad_octa_2.cc
    )

set (cld2_full_SOURCE_FILES
    internal/generated_distinct_bi_0.cc
    internal/cld_generated_cjk_uni_prop_80.cc
    internal/cld2_generated_cjk_compatible.cc
    internal/cld_generated_cjk_delta_bi_32.cc
    internal/cld2_generated_quad0122.cc
    internal/cld2_generated_deltaocta0122.cc
    internal/cld2_generated_distinctocta0122.cc
    internal/cld_generated_score_quad_octa_0122.cc
    )

set (cld2_dynamic_SOURCE_FILES
    internal/cld2_dynamic_data.cc
    internal/cld2_dynamic_data_loader.cc
    )

add_library(cld2 SHARED ${common_SOURCE_FILES} ${cld2_SOURCE_FILES})
set_target_properties(cld2 PROPERTIES
  ENABLE_EXPORTS On
  OUTPUT_NAME cld2
  VERSION ${VERSION}
  SOVERSION 0
  )
add_library(cld2_full SHARED ${cld2_full_SOURCE_FILES})
set_target_properties(cld2_full PROPERTIES
  ENABLE_EXPORTS On
  OUTPUT_NAME cld2_full
  VERSION ${VERSION}
  SOVERSION 0
  )

add_library(cld2_dynamic SHARED ${cld2_dynamic_SOURCE_FILES})
set_target_properties(cld2_dynamic PROPERTIES
  ENABLE_EXPORTS On
  OUTPUT_NAME cld2_dynamic
  VERSION ${VERSION}
  SOVERSION 0
  COMPILE_FLAGS "-DCLD2_DYNAMIC_MODE"
  )
install(TARGETS cld2 DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})
install(TARGETS cld2_full DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})
install(TARGETS cld2_dynamic DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE})

set (cld2_internal_HEADERS
    internal/cld2_dynamic_compat.h
    internal/cld2_dynamic_data_extractor.h
    internal/cld2_dynamic_data.h
    internal/cld2_dynamic_data_loader.h
    internal/cld2tablesummary.h
    internal/cldutil.h
    internal/cldutil_offline.h
    internal/cldutil_shared.h
    internal/compact_lang_det_hint_code.h
    internal/compact_lang_det_impl.h
    internal/debug.h
    internal/fixunicodevalue.h
    internal/generated_language.h
    internal/generated_ulscript.h
    internal/getonescriptspan.h
    internal/integral_types.h
    internal/lang_script.h
    internal/langspan.h
    internal/offsetmap.h
    internal/port.h
    internal/scoreonescriptspan.h
    internal/stringpiece.h
    internal/tote.h
    internal/unittest_data.h
    internal/utf8acceptinterchange.h
    internal/utf8prop_lettermarkscriptnum.h
    internal/utf8repl_lettermarklower.h
    internal/utf8scannot_lettermarkspecial.h
    internal/utf8statetable.h
    )

install(FILES ${cld2_internal_HEADERS} DESTINATION include/cld2/internal)
set (cld2_public_HEADERS
    public/compact_lang_det.h
    public/encodings.h
    )
install(FILES ${cld2_public_HEADERS} DESTINATION include/cld2/public)

set (full_SOURCE_FILES
    internal/cld_generated_cjk_uni_prop_80.cc
    internal/cld2_generated_cjk_compatible.cc
    internal/cld_generated_cjk_delta_bi_32.cc
    internal/generated_distinct_bi_0.cc
    internal/cld2_generated_quad0122.cc
    internal/cld2_generated_deltaocta0122.cc
    internal/cld2_generated_distinctocta0122.cc
    internal/cld_generated_score_quad_octa_0122.cc
    )

add_executable(compact_lang_det_test_full ${full_SOURCE_FILES} internal/compact_lang_det_test.cc)
add_executable(cld2_unittest_full         ${full_SOURCE_FILES} internal/cld2_unittest_full.cc)
add_executable(cld2_unittest_full_avoid   ${full_SOURCE_FILES} internal/cld2_unittest_full.cc)
set_target_properties(cld2_unittest_full_avoid PROPERTIES COMPILE_FLAGS "-Davoid_utf8_string_constants")

add_executable(cld2_dynamic_data_tool               internal/cld2_dynamic_data_extractor.cc internal/cld2_dynamic_data_tool.cc)
add_executable(compact_lang_det_dynamic_test_chrome ${common_SOURCE_FILES} internal/cld2_dynamic_data_extractor.cc internal/compact_lang_det_test.cc)
add_executable(cld2_dynamic_unittest                ${common_SOURCE_FILES} internal/cld2_unittest.cc)
set_target_properties(compact_lang_det_dynamic_test_chrome PROPERTIES COMPILE_FLAGS "-DCLD2_DYNAMIC_MODE")
set_target_properties(cld2_dynamic_unittest PROPERTIES COMPILE_FLAGS "-DCLD2_DYNAMIC_MODE")

add_executable(compact_lang_det_test_chrome_2  internal/compact_lang_det_test.cc)
add_executable(compact_lang_det_test_chrome_16 internal/compact_lang_det_test.cc)
add_executable(cld2_unittest_chrome_2          internal/cld2_unittest.cc)
add_executable(cld2_unittest_avoid_chrome_2    internal/cld2_unittest.cc)
set_target_properties(cld2_unittest_avoid_chrome_2 PROPERTIES COMPILE_FLAGS "-Davoid_utf8_string_constants")

target_link_libraries(compact_lang_det_test_full cld2)
target_link_libraries(cld2_unittest_full cld2)
target_link_libraries(cld2_unittest_full_avoid cld2)
target_link_libraries(cld2_dynamic_data_tool cld2 cld2_dynamic)
target_link_libraries(compact_lang_det_dynamic_test_chrome cld2_dynamic)
target_link_libraries(cld2_dynamic_unittest cld2_dynamic)
target_link_libraries(compact_lang_det_test_chrome_2 cld2)
target_link_libraries(compact_lang_det_test_chrome_16 cld2)
target_link_libraries(cld2_unittest_chrome_2 cld2)
target_link_libraries(cld2_unittest_avoid_chrome_2 cld2)

=== debian/changelog ===
gnome-music (49.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Revert "d/control: Explicitly depend on gir1.2-girepository-2.0".
    This is unnecessary since 48.0 upstream or 48~beta-3 in Debian.
    (Helps: #1099164)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 12:20:36 -0500

gnome-music (49.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Oct 2025 07:30:03 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
 Depends: gir1.2-adw-1 (>= 1.6),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gio-2.0,
-         gir1.2-girepository-2.0,
          gir1.2-glib-2.0 (>= 1.35.9),
          gir1.2-goa-1.0 (>= 3.35.90),
          gir1.2-gobject-2.0,
